/* evaluate the chycoord of the terminals in a channel */
/* Author: Hormoz Yaghutiel, Advisor: Alberto Sangiovanni-Vincetelli */
/* Last Change: 8/7/87 */

#include "ADglobals.h"
#include <stdio.h>

ROUTtermChy( channel ) 
struct _channel *channel;
{
	struct _terminal *tmpterm;


	tmpterm = channel->tlist[BOTTOM];
	for( ; tmpterm != NULL; tmpterm = tmpterm->nxtcht ) {
		tmpterm->chycoord = channel->lowchy;
	}

	tmpterm = channel->tlist[TOP];
	for( ; tmpterm != NULL; tmpterm = tmpterm->nxtcht ) {
		tmpterm->chycoord = channel->hichy;
	}
}
