#include "ADdef.h"
#include <stdio.h>
#include <math.h>

/* the following function finds the closest number to value 
which is a multiple of resolution */

Round_Int(value, resol, flag)
int value; /* the integer number to be rounded */
int resol; /* the resolution of rounding */
int flag; /* RND, CEIL, FLR */
{
    int modulus, remainder;
    
    if ( resol<= 1 ) {
	return ( value );
    }
    
    remainder = value % resol;
    modulus = value / resol;
    
    
    if ( flag == RND ) {
	if ( (2 * remainder) < resol) {
	    return ( modulus * resol);
	}
	else {
	    return ( (modulus + 1) * resol);
	}
    }
    else if ( flag == FLR ) {
	return ( modulus * resol);
    }
    else if ( flag == CEIL ) {
	if ( remainder == 0 ) {
	    return ( modulus * resol);
	}
	else {
	    return ( (modulus + 1) * resol);
	}
    }
}
